Bug 1538326 - [Deployment][TLS] Using SSL URI for ovsdb_connection fails
Summary: [Deployment][TLS] Using SSL URI for ovsdb_connection fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL:
Whiteboard: odl_deployment, odl_tls
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-24 20:04 UTC by Tim Rozet
Modified: 2018-10-18 07:25 UTC (History)
7 users (show)

Fixed In Version: openstack-neutron-12.0.0-0.20180215204452.fb3f718
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-06-27 13:43:23 UTC
Target Upstream Version:
trozet: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1745038 None None None 2018-01-24 20:04:55 UTC
OpenStack gerrit 536983 None master: MERGED neutron: Fixes using SSL OVSDB connection (I19fd9dd0c72260835eb91e557a6029ec9d652179) 2018-02-19 16:33:40 UTC
OpenStack gerrit 540127 None master: MERGED puppet-neutron: Adds configuration for SSL OVSDB connections (I82281eefa1aa81207ccd8ea565cffc6ca0ec48de) 2018-02-19 16:33:34 UTC
OpenStack gerrit 540146 None master: MERGED puppet-tripleo: Adds missing Neutron TLS certificate/key generation (I4bbaf00f0776cab0be34d814a541fb2fd1e64326) 2018-02-19 16:33:29 UTC
OpenStack gerrit 540164 None master: MERGED tripleo-heat-templates: Fixes missing SSL configuration for Neutron DHCP agent (I97352027d7f750d0820610fb9e06f82b47e7705... 2018-02-19 16:33:23 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:44:09 UTC

Description Tim Rozet 2018-01-24 20:04:55 UTC
Description of problem:
When using an ssl URI for ovsdb_connection in neutron.conf, like:
ovsdb_connection=ssl:127.0.0.1:6639

The connection will fail because there is missing SSL configuration for key, cert, and ca cert that is required when creating an SSL stream connection to OVSDB. This configuration is not part of ovsdbapp and must be setup before invoking the IDL helper function that asks ovsdbapp to open the connection.

Comment 4 Itzik Brown 2018-04-26 08:58:54 UTC
Tim.
Is it about the local connection on the controllers because it's not connected.

[root@controller-1 heat-admin]# ovs-vsctl show | head -10
fdd50b4c-a491-4308-b2a0-8a1bdfc04d2d
    Manager "ssl:172.17.1.21:6640"
        is_connected: true
    Manager "ssl:172.17.1.13:6640"
        is_connected: true
    Manager "ssl:172.17.1.19:6640"
        is_connected: true
    Manager "pssl:6639:127.0.0.1"
    Bridge br-ex
        fail_mode: standalone

Comment 5 Itzik Brown 2018-05-03 08:15:20 UTC
Checked with:
openstack-neutron-12.0.2-0.20180421011358.0ec54fd.el7ost.noarch

Comment 7 errata-xmlrpc 2018-06-27 13:43:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.